Bug 323051 - gnome-sound-properties hangs when pulseaudio deaemon dies during the test
gnome-sound-properties hangs when pulseaudio deaemon dies during the test
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-pulse (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Regression, Reopened
: 364071 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 07:49 EDT by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 09:15:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-10-08 07:49:41 EDT
Description of problem:


When pulseaudio daemon is not able to open the audio device during startup, and
system-config-sound hangs afer ESD audio output test finishes.

Version-Release number of selected component (if applicable):

control-center-2.20.0-1.fc8

Steps to Reproduce:
1. Make the alsa device busy
2. Start pulseaudio daemon and ensure the log contains the following line
pulseaudio[30936]: module-alsa-sink.c: Error opening PCM device hw:0: Device or
resource busy
3. Launch system-config-sound
4. Select ESD output somewhere and hit 'Test'
5. Click 'OK'
now the system-config-sound is hung
Comment 1 Bastien Nocera 2007-10-08 08:33:26 EDT
system-config-sound doesn't exist. If you mean gnome-sound-properties, then
there's nothing it can do, as pulseaudio is probably blocking that. Reassigning.

Lennart, do you think we should remove the esd sink from GStreamer?
Comment 2 Bastien Nocera 2007-10-08 08:46:44 EDT
(In reply to comment #1)
<snip>
> Lennart, do you think we should remove the esd sink from GStreamer?

Removed from gstreamer-plugins-good-0.10.6-6.fc8
Comment 3 Lubomir Kundrak 2007-10-08 09:54:12 EDT
Bastien's commit kind of fixed this. I can not force the gnome-sound-properties
to hang at all now, no matter what state is the sound daemon in.
Comment 4 Lubomir Kundrak 2007-10-09 18:15:42 EDT
Reopening; this also happens without ESD emulation -- just select Pluse Audio
playback.

This is the top of the stack when it happens:

#0  0x00002aaab1589ee4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x00002aaab158593b in _L_lock_879 () from /lib64/libpthread.so.0
#2  0x00002aaab15857cb in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00002aaabd4486be in pa_mutex_lock () from /usr/lib64/libpulse.so.0
Comment 5 Lubomir Kundrak 2007-10-09 18:32:27 EDT
Reproducible with any gstreamer pipe:

[lkundrak@richman ~]$ gst-launch filesrc location=5.Kill_The_King.ogg ! oggdemux
! vorbisdec ! pulsesink
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstAudioSinkClock

[ Now kill pulseaudio ]

ERROR: from element /pipeline0/pulsesink0: Disconnected: Connection terminated
Additional debug info:
pulsesink.c(443): gst_pulsesink_write (): /pipeline0/pulsesink0
Execution ended after 8522138000 ns.
Setting pipeline to PAUSED ...

[ hang ]
Comment 6 Lubomir Kundrak 2007-10-09 18:39:53 EDT
Not reproducible without gstreamer

[lkundrak@richman ~]$ paplay /usr/share/sounds/startup3.wav

[ kill ]

Connection failure: Connection terminated
Stream errror: Connection terminated
[lkundrak@richman ~]$

Nor reproducible with gstreamer without pulseaudio plugin

[lkundrak@richman ~]$ gst-launch filesrc location=5.Kill_The_King.ogg ! oggdemux
! vorbisdec ! audioconvert ! audioresample ! esdsink
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstAudioSinkClock

[ kill ]

[lkundrak@richman ~]$

Reassigning to gstreamer-plugins-pulse
Comment 7 Lennart Poettering 2007-10-15 10:57:12 EDT
Hmm, Lubomir could you please provide me with a full backtrace of what is
happening, over all threads? And also with the full output of "pulseaudio -vv"
when this happens? If I understood correctly, then the PA instance has not a
single sound card configured after startup, because it gets an EBUSY when
opening the audio device, right?
Comment 8 Lennart Poettering 2008-04-07 12:50:36 EDT
*** Bug 364071 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2008-11-26 02:55:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Lennart Poettering 2008-12-18 09:15:05 EST
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.